<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>VP-ZFONDv15 - Všeobecné podanie – Záručný fond, fond ochrany vkladov (VP-ZFOND)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/dokument">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">dokument</div>
</div>
<xsl:if test="/dokument/secNazov/text()"><div><label class="labelVis">secNazov: </label><span class="contentVis wordwrap"><xsl:value-of select="./secNazov"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/dokument/secEvidencneCisloSuvisiacehoDOkumentu">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secEvidencneCisloSuvisiacehoDOkumentu</div>
</div>
<xsl:if test="/dokument/secEvidencneCisloSuvisiacehoDOkumentu/valEvidencneCisloSuvisiacehoDokumentu/text()"><div><label class="labelVis">Evidenčné číslo súvisiaceho dokumentu:&#160;&#160;&#160;&#160;&#160;6: </label><span class="contentVis wordwrap"><xsl:value-of select="./valEvidencneCisloSuvisiacehoDokumentu"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secEvidencneCisloSuvisiacehoDOkumentu/valECSDRok/text()"><div><label class="labelVis">/: </label><span class="contentVis wordwrap"><xsl:value-of select="./valECSDRok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secAdresovanieVP">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secAdresovanieVP</div>
</div>
<xsl:if test="/dokument/secAdresovanieVP/valOrganFS/text()"><div><label class="labelVis">Orgán finančnej správy: </label><span class="contentVis wordwrap"><xsl:value-of select="./valOrganFS"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secAdresovanieVP/valDanovyUrad/text()"><div><label class="labelVis">Daňový úrad: </label><span class="contentVis wordwrap"><xsl:value-of select="./valDanovyUrad"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secOblastPodania">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secOblastPodania</div>
</div>
<xsl:if test="/dokument/secOblastPodania/valOblastPodania/text()"><div><label class="labelVis">Oblasť podania: </label><span class="contentVis wordwrap"><xsl:value-of select="./valOblastPodania"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secOblastPodania/valAgenda/text()"><div><label class="labelVis">Agenda: </label><span class="contentVis wordwrap"><xsl:value-of select="./valAgenda"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secOblastPodania/valTypUJ/text()"><div><label class="labelVis">Typ účtovnej jednotky: </label><span class="contentVis wordwrap"><xsl:value-of select="./valTypUJ"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secZostavenaK">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secZostavenaK</div>
</div>
<xsl:if test="/dokument/secZostavenaK/valZostavenaK/text()"><div><label class="labelVis">Zostavené k: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./valZostavenaK" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secZaObdobieOd">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secZaObdobieOd</div>
</div>
<xsl:if test="/dokument/secZaObdobieOd/valObdobieMesiacOd/text()"><div><label class="labelVis">mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObdobieMesiacOd"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secZaObdobieOd/valObdobieRokOd/text()"><div><label class="labelVis">rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObdobieRokOd"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secZaObdobieDo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secZaObdobieDo</div>
</div>
<xsl:if test="/dokument/secZaObdobieDo/valObdobieMesiacDo/text()"><div><label class="labelVis">mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObdobieMesiacDo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secZaObdobieDo/valObdobieRokDo/text()"><div><label class="labelVis">rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObdobieRokDo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secPredchadzajuceObdobieOd">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secPredchadzajuceObdobieOd</div>
</div>
<xsl:if test="/dokument/secPredchadzajuceObdobieOd/valPredchadzajuceMesiacOd/text()"><div><label class="labelVis">mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./valPredchadzajuceMesiacOd"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secPredchadzajuceObdobieOd/valPredchadzajuceRokOd/text()"><div><label class="labelVis">rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./valPredchadzajuceRokOd"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secPredchadzajuceObdobieDo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secPredchadzajuceObdobieDo</div>
</div>
<xsl:if test="/dokument/secPredchadzajuceObdobieDo/valPredchadzajuceMesiacDo/text()"><div><label class="labelVis">mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./valPredchadzajuceMesiacDo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secPredchadzajuceObdobieDo/valPredchadzajuceRokDo/text()"><div><label class="labelVis">rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./valPredchadzajuceRokDo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secUctovnaZavierka">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secUctovnaZavierka</div>
</div>
<xsl:if test="/dokument/secUctovnaZavierka/valUctovnaZavierkaRmpRiadna/text()"><div><label class="labelVis">riadna: </label><span class="contentVis wordwrap"><xsl:value-of select="./valUctovnaZavierkaRmpRiadna"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secUctovnaZavierka/valUctovnaZavierkaRmpMimoriadna/text()"><div><label class="labelVis">mimoriadna: </label><span class="contentVis wordwrap"><xsl:value-of select="./valUctovnaZavierkaRmpMimoriadna"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secUctovnaZavierka/valUctovnaZavierkaRmpPriebezna/text()"><div><label class="labelVis">priebežná: </label><span class="contentVis wordwrap"><xsl:value-of select="./valUctovnaZavierkaRmpPriebezna"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secDatumVznikuUJ">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secDatumVznikuUJ</div>
</div>
<xsl:if test="/dokument/secDatumVznikuUJ/valDatumVznikuUJ/text()"><div><label class="labelVis">Dátum vzniku účtovnej jednotky: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./valDatumVznikuUJ" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secZostaveneDna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secZostaveneDna</div>
</div>
<xsl:if test="/dokument/secZostaveneDna/valZostaveneDna/text()"><div><label class="labelVis">Zostavené dňa: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./valZostaveneDna" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secSchvalenaDna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secSchvalenaDna</div>
</div>
<xsl:if test="/dokument/secSchvalenaDna/valSchvaleneDna/text()"><div><label class="labelVis">Schválené dňa: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./valSchvaleneDna" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secJazykPodania">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secJazykPodania</div>
</div>
<xsl:if test="/dokument/secJazykPodania/valJazykovaVerziaPodania/text()"><div><label class="labelVis">valJazykovaVerziaPodania: </label><span class="contentVis wordwrap"><xsl:value-of select="./valJazykovaVerziaPodania"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secIdUctJedn">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secIdUctJedn</div>
</div>
<xsl:for-each select="/dokument/secIdUctJedn/secIcoUJ">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secIcoUJ</div>
</div>
<xsl:if test="/dokument/secIdUctJedn/secIcoUJ/valIcoUj/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./valIcoUj"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secIdUctJedn/secIcoUJ/valDicUj/text()"><div><label class="labelVis">DIČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./valDicUj"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/dokument/secIdUctJedn/valKodSkNace/text()"><div><label class="labelVis">Kód SK NACE: </label><span class="contentVis wordwrap"><xsl:value-of select="./valKodSkNace"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secIdUctJedn/valObchMenoUj/text()"><div><label class="labelVis">Obchodné meno (názov) účtovnej jednotky: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObchMenoUj"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secIdUctJedn/valOznaObchRegACisObchSpol/text()"><div><label class="labelVis">Označenie obchodného registra a čísla zápisu obchodnej spoločnosti: </label><span class="contentVis wordwrap"><xsl:value-of select="./valOznaObchRegACisObchSpol"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secSidlo">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secSidlo</div>
</div>
<xsl:if test="/dokument/secSidlo/valUlica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./valUlica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secSidlo/valPsc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./valPsc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secSidlo/valTelefon/text()"><div><label class="labelVis">Číslo telefónu: </label><span class="contentVis wordwrap"><xsl:value-of select="./valTelefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secSidlo/valCislo/text()"><div><label class="labelVis">Číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./valCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secSidlo/valObec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./valObec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secSidlo/valEmail/text()"><div><label class="labelVis">E-mail: </label><span class="contentVis wordwrap"><xsl:value-of select="./valEmail"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secPrilohy">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secPrilohy</div>
</div>
<xsl:if test="/dokument/secPrilohy/valTypPrilohyUJ/text()"><div><label class="labelVis">Typ dokumentu: </label><span class="contentVis wordwrap"><xsl:value-of select="./valTypPrilohyUJ"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/dokument/secPrilohy/valSdUJ/text()"><div><label class="labelVis">Spôsob doručenia: </label><span class="contentVis wordwrap"><xsl:value-of select="./valSdUJ"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/dokument/secDatumPodania">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">secDatumPodania</div>
</div>
<xsl:if test="/dokument/secDatumPodania/valDatumPodania/text()"><div><label class="labelVis">Dátum podania: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./valDatumPodania" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

