<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="text" omit-xml-declaration="yes" encoding="UTF-8"/>
<xsl:template match="/">Všeobecné podanie pre finančnú správu - účtovné jednotky

Evidenčné číslo súvisiaceho dokumentu: 6/<xsl:value-of select="/dokument/secEvidencneCisloSuvisiacehoDOkumentu/valEvidencneCisloSuvisiacehoDokumentu"/>/<xsl:value-of select="/dokument/secEvidencneCisloSuvisiacehoDOkumentu/valECSDRok"/>

<xsl:for-each select="/dokument/secAdresovanieVP">

Adresát podania
Orgán finančnej správy: <xsl:choose>
  <xsl:when test="valOrganFS = 'DU'">Daňový úrad</xsl:when>
  <xsl:otherwise><xsl:value-of select="valOrganFS"/></xsl:otherwise>
</xsl:choose>

<xsl:for-each select="secAdresatDU">
<xsl:if test="valDanovyUrad">
Daňový úrad: <xsl:choose>
  <xsl:when test="valDanovyUrad = 600">Banská Bystrica</xsl:when>
  <xsl:when test="valDanovyUrad = 100">Bratislava</xsl:when>
  <xsl:when test="valDanovyUrad = 800">Košice</xsl:when>
  <xsl:when test="valDanovyUrad = 400">Nitra</xsl:when>
  <xsl:when test="valDanovyUrad = 700">Prešov</xsl:when>
  <xsl:when test="valDanovyUrad = 300">Trenčín</xsl:when>
  <xsl:when test="valDanovyUrad = 200">Trnava</xsl:when>
  <xsl:when test="valDanovyUrad = 500">Žilina</xsl:when>
  <xsl:when test="valDanovyUrad = 900">pre vybrané daňové subjekty</xsl:when>
  <xsl:otherwise><xsl:value-of select="valDanovyUrad"/></xsl:otherwise>
  </xsl:choose>
</xsl:if>
<xsl:if test="valPracoviskoDU">
Pracovisko daňového úradu: <xsl:choose>
  <xsl:when test="valPracoviskoDU = '9623000'">Banská Štiavnica</xsl:when>
  <xsl:when test="valPracoviskoDU = '9610000'">Brezno</xsl:when>
  <xsl:when test="valPracoviskoDU = '9621000'">Detva</xsl:when>
  <xsl:when test="valPracoviskoDU = '9620000'">Krupina</xsl:when>
  <xsl:when test="valPracoviskoDU = '9611000'">Lučenec</xsl:when>
  <xsl:when test="valPracoviskoDU = '9622000'">Nová Baňa</xsl:when>
  <xsl:when test="valPracoviskoDU = '9616000'">Revúca</xsl:when>
  <xsl:when test="valPracoviskoDU = '9613000'">Rimavská Sobota</xsl:when>
  <xsl:when test="valPracoviskoDU = '9619000'">Tornaľa</xsl:when>
  <xsl:when test="valPracoviskoDU = '9612000'">Veľký Krtíš</xsl:when>
  <xsl:when test="valPracoviskoDU = '9614000'">Zvolen</xsl:when>
  <xsl:when test="valPracoviskoDU = '9615000'">Žiar nad Hronom</xsl:when>
  <xsl:when test="valPracoviskoDU = '9110000'">Malacky</xsl:when>
  <xsl:when test="valPracoviskoDU = '9111000'">Pezinok</xsl:when>
  <xsl:when test="valPracoviskoDU = '9112000'">Senec</xsl:when>
  <xsl:when test="valPracoviskoDU = '9817000'">Gelnica</xsl:when>
  <xsl:when test="valPracoviskoDU = '9818000'">Kráľovský Chlmec</xsl:when>
  <xsl:when test="valPracoviskoDU = '9810000'">Michalovce</xsl:when>
  <xsl:when test="valPracoviskoDU = '9814000'">Moldava nad Bodvou</xsl:when>
  <xsl:when test="valPracoviskoDU = '9811000'">Rožňava</xsl:when>
  <xsl:when test="valPracoviskoDU = '9815000'">Sobrance</xsl:when>
  <xsl:when test="valPracoviskoDU = '9812000'">Spišská Nová Ves</xsl:when>
  <xsl:when test="valPracoviskoDU = '9813000'">Trebišov</xsl:when>
  <xsl:when test="valPracoviskoDU = '9816000'">Veľké Kapušany</xsl:when>
  <xsl:when test="valPracoviskoDU = '9418000'">Hurbanovo</xsl:when>
  <xsl:when test="valPracoviskoDU = '9419000'">Kolárovo</xsl:when>
  <xsl:when test="valPracoviskoDU = '9410000'">Komárno</xsl:when>
  <xsl:when test="valPracoviskoDU = '9411000'">Levice</xsl:when>
  <xsl:when test="valPracoviskoDU = '9412000'">Nové Zámky</xsl:when>
  <xsl:when test="valPracoviskoDU = '9420000'">Šahy</xsl:when>
  <xsl:when test="valPracoviskoDU = '9417000'">Šala</xsl:when>
  <xsl:when test="valPracoviskoDU = '9413000'">Štúrovo</xsl:when>
  <xsl:when test="valPracoviskoDU = '9422000'">Šurany</xsl:when>
  <xsl:when test="valPracoviskoDU = '9414000'">Topoľčany</xsl:when>
  <xsl:when test="valPracoviskoDU = '9415000'">Vráble</xsl:when>
  <xsl:when test="valPracoviskoDU = '9416000'">Zlaté Moravce</xsl:when>
  <xsl:when test="valPracoviskoDU = '9421000'">Želiezovce</xsl:when>
  <xsl:when test="valPracoviskoDU = '9711000'">Bardejov</xsl:when>
  <xsl:when test="valPracoviskoDU = '9710000'">Humennné</xsl:when>
  <xsl:when test="valPracoviskoDU = '9718000'">Kežmarok</xsl:when>
  <xsl:when test="valPracoviskoDU = '9720000'">Levoča</xsl:when>
  <xsl:when test="valPracoviskoDU = '9712000'">Poprad</xsl:when>
  <xsl:when test="valPracoviskoDU = '9716000'">Sabinov</xsl:when>
  <xsl:when test="valPracoviskoDU = '9717000'">Snina</xsl:when>
  <xsl:when test="valPracoviskoDU = '9714000'">Stará Ľubovňa</xsl:when>
  <xsl:when test="valPracoviskoDU = '9721000'">Stropkov</xsl:when>
  <xsl:when test="valPracoviskoDU = '9715000'">Vranov nad Topľou</xsl:when>
  <xsl:when test="valPracoviskoDU = '9713000'">Svidník</xsl:when>
  <xsl:when test="valPracoviskoDU = '9316000'">Bánovce nad Bebravou</xsl:when>
  <xsl:when test="valPracoviskoDU = '9314000'">Dubnica nad Váhom</xsl:when>
  <xsl:when test="valPracoviskoDU = '9317000'">Myjava</xsl:when>
  <xsl:when test="valPracoviskoDU = '9319000'">Nováky</xsl:when>
  <xsl:when test="valPracoviskoDU = '9311000'">Nové Mesto nad Váhom</xsl:when>
  <xsl:when test="valPracoviskoDU = '9310000'">Partizánske</xsl:when>
  <xsl:when test="valPracoviskoDU = '9312000'">Považská Bystrica</xsl:when>
  <xsl:when test="valPracoviskoDU = '9313000'">Prievidza</xsl:when>
  <xsl:when test="valPracoviskoDU = '9315000'">Púchov</xsl:when>
  <xsl:when test="valPracoviskoDU = '9210000'">Dunajská Streda</xsl:when>
  <xsl:when test="valPracoviskoDU = '9215000'">Hlohovec</xsl:when>
  <xsl:when test="valPracoviskoDU = '9211000'">Galanta</xsl:when>
  <xsl:when test="valPracoviskoDU = '9214000'">Piešťany</xsl:when>
  <xsl:when test="valPracoviskoDU = '9212000'">Senica</xsl:when>
  <xsl:when test="valPracoviskoDU = '9213000'">Skalica</xsl:when>
  <xsl:when test="valPracoviskoDU = '9217000'">Šamorín</xsl:when>
  <xsl:when test="valPracoviskoDU = '9517000'">Bytča</xsl:when>
  <xsl:when test="valPracoviskoDU = '9510000'">Čadca</xsl:when>
  <xsl:when test="valPracoviskoDU = '9511000'">Dolný Kubín</xsl:when>
  <xsl:when test="valPracoviskoDU = '9516000'">Kysucké Nové Mesto</xsl:when>
  <xsl:when test="valPracoviskoDU = '9513000'">Liptovský Mikuláš</xsl:when>
  <xsl:when test="valPracoviskoDU = '9514000'">Martin</xsl:when>
  <xsl:when test="valPracoviskoDU = '9512000'">Námestovo</xsl:when>
  <xsl:when test="valPracoviskoDU = '9515000'">Ružomberok</xsl:when>
  <xsl:when test="valPracoviskoDU = '9518000'">Turčianske Teplice</xsl:when>
  <xsl:otherwise><xsl:value-of select="valPracoviskoDU"/></xsl:otherwise>
  </xsl:choose>
</xsl:if>
</xsl:for-each>
</xsl:for-each>

<xsl:for-each select="/dokument/secOblastPodania">

Kategorizácia podania
Oblasť podania: <xsl:choose>
  <xsl:when test="valOblastPodania = 'UCT'">Účtovné dokumenty</xsl:when>
  <xsl:otherwise><xsl:value-of select="valOblastPodania"/></xsl:otherwise>
</xsl:choose>
</xsl:for-each>
<xsl:for-each select="/dokument/secAgenda">
Agenda: <xsl:choose>
  <xsl:when test="valAgenda = 'UCT_JUN'">Účtovná závierka neziskovej účtovnej jednotky v sústave jednoduchého účtovníctva</xsl:when>
  <xsl:when test="valAgenda = 'UCT_PUN'">Účtovná závierka neziskovej účtovnej jednotky v sústave podvojného účtovníctva</xsl:when>
  <xsl:when test="valAgenda = 'UCT_OST'">Účtovná závierka pre ostatné typy účtovných jednotiek</xsl:when>
  <xsl:when test="valAgenda = 'UCT_PU'">Účtovné výkazy pre podnikateľské subjekty účtujúce v sústave podvojného účtovníctva</xsl:when>
  <xsl:when test="valAgenda = 'UCT_JU'">Účtovné výkazy pre podnikateľské subjekty účtujúce v sústave jednoduchého účtovníctva</xsl:when>
  <xsl:otherwise><xsl:value-of select="valAgenda"/></xsl:otherwise>
</xsl:choose>
</xsl:for-each>

<!-- typ UJ -->
<xsl:for-each select="/dokument/secTypUJ">

Typ účtovnej jednotky: <xsl:choose>
  <xsl:when test="valTypUJ = 'RUZ_NO'">Nezisková organizácia účtujúca v sústave jednoduchého účtovníctva</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_NUJ'">Nezisková organizácia účtujúca v sústave podvojného účtovníctva</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_ZFOND'">Záručný fond, fond ochrany vkladov</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_OCP'">Obchodníci s cennými papiermi účtujúci podľa slovenských predpisov</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_FONDNEH'">Fondy nehnuteľností</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_PIaIEP'">Platobné inštitúcie a inštitúcie elektronických peňazí účtujúce podľa slovenských predpisov</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_PZFI'">Pobočka zahraničnej finančnej inštitúcie</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_FOND'">Fondy</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_UJ_IFRS'">Účtovné jednotky účtujúce podľa IFRS</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_SKISPS'">Subjekt kolektívneho investovania s právnou subjektivitou</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_POD'">Podnikateľský subjekt účtujúci v sústave podvojného účtovníctva</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_FO'">Podnikateľský subjekt účtujúci v sústave jednoduchého účtovníctva</xsl:when>
  <xsl:when test="valTypUJ = 'RUZ_MUJ'">Mikro účtovná jednotka</xsl:when>
  <xsl:otherwise><xsl:value-of select="valTypUJ"/></xsl:otherwise>
</xsl:choose>
</xsl:for-each>

<!-- identifikacia UJ -->
<xsl:for-each select="/dokument/secUctJednotka">

<xsl:if test="secIdUctJedn">

Identifikačné údaje účtovnej jednotky
<xsl:for-each select="secIdUctJedn">
<xsl:if test="valLeiUj">
LEI (ak bolo pridelené): <xsl:value-of select="valLeiUj"/>
</xsl:if>
<xsl:if test="secIcoUJ/valIcoUj">
IČO: <xsl:value-of select="secIcoUJ/valIcoUj"/>
</xsl:if>
<xsl:if test="secIcoSidUJ/valIcoSidUJ">
IČO: <xsl:value-of select="secIcoSidUJ/valIcoSidUJ"/><xsl:if test="secIcoSidUJ/valSidUJ"> SID: <xsl:value-of select="secIcoSidUJ/valSidUJ"/></xsl:if>
</xsl:if>
<xsl:if test="valDicUj">
DIČ: <xsl:value-of select="valDicUj"/>
</xsl:if>
Kód SK NACE: <xsl:value-of select="valKodSkNace"/>
Obchodné meno / názov účtovnej jednotky: <xsl:value-of select="valObchMenoUj"/>
<xsl:if test="valOznaObchRegACisObchSpol">
Označenie obchodného registra a číslo zápisu obchodnej spoločnosti: <xsl:value-of select="valOznaObchRegACisObchSpol"/>
</xsl:if>
</xsl:for-each>
</xsl:if>

<xsl:if test="secIdSpravSpol">

Identifikačné údaje správcovskej spoločnosti
<xsl:for-each select="secIdSpravSpol">
<xsl:if test="valSpravSpolIco">
IČO: <xsl:value-of select="valSpravSpolIco"/>
</xsl:if>
<xsl:if test="valSpravSpolDic">
DIČ: <xsl:value-of select="valSpravSpolDic"/>
</xsl:if>
<xsl:if test="valNazovSpravSpol">
<xsl:if test="valNazovSpravSpol !='undefined'">Názov správcovskej spoločnosti: <xsl:value-of select="valNazovSpravSpol"/></xsl:if>
</xsl:if>
<xsl:if test="valNazovSpravFondu">
Názov spravovaného fondu: <xsl:value-of select="valNazovSpravFondu"/>
</xsl:if>
</xsl:for-each>
</xsl:if>
</xsl:for-each>

<!-- sidlo UJ -->
<xsl:for-each select="/dokument/secSidlo">

Sídlo (právnická osoba), trvalý pobyt (fyzická osoba)
Ulica: <xsl:value-of select="valUlica"/>
Číslo: <xsl:value-of select="valCislo"/>
PSČ: <xsl:value-of select="valPsc"/>
Obec: <xsl:value-of select="valObec"/>
Telefón: <xsl:value-of select="valTelefon"/>
Fax: <xsl:value-of select="valFax"/>
Emailová adresa: <xsl:value-of select="valEmail"/>
</xsl:for-each>

<!-- uctovna zavierka -->
<xsl:for-each select="/dokument/secUdajeUZ">

Typ účtovnej závierky: <xsl:choose>
  <xsl:when test="secTypUZ/valTypUZ = '0'">individuálna</xsl:when>
  <xsl:when test="secTypUZ/valTypUZ = '1'">konsolidovaná</xsl:when>
  <xsl:otherwise><xsl:value-of select="secTypUZ/valTypUZ"/></xsl:otherwise>
</xsl:choose>
Zostavená k: <xsl:value-of select="concat(substring(secZostavenaK/valZostavenaK,9,2),'.',substring(secZostavenaK/valZostavenaK,6,2),'.',substring(secZostavenaK/valZostavenaK,1,4))"/>
Za obdobie od: <xsl:value-of select="secZaObdobieOd/valObdobieMesiacOd"/>/<xsl:value-of select="secZaObdobieOd/valObdobieRokOd"/>
Za obdobie do: <xsl:value-of select="secZaObdobieDo/valObdobieMesiacDo"/>/<xsl:value-of select="secZaObdobieDo/valObdobieRokDo"/>
Predchádzajúce obdobie od: <xsl:value-of select="secPredchadzajuceObdobieOd/valPredchadzajuceMesiacOd"/>/<xsl:value-of select="secPredchadzajuceObdobieOd/valPredchadzajuceRokOd"/>
Predchádzajúce obdobie do: <xsl:value-of select="secPredchadzajuceObdobieDo/valPredchadzajuceMesiacDo"/>/<xsl:value-of select="secPredchadzajuceObdobieDo/valPredchadzajuceRokDo"/>
<xsl:for-each select="secUctovnaZavierka/secUctovnaZavierkaRMP">
Účtovná závierka: <xsl:if test="valUctovnaZavierkaRmpRiadna = '1'">riadna </xsl:if><xsl:if test="valUctovnaZavierkaRmpMimoriadna = '1'">mimoriadna </xsl:if><xsl:if test="valUctovnaZavierkaRmpPriebezna = '1'">priebežná</xsl:if>
</xsl:for-each>
<xsl:for-each select="secUctovnaZavierka/secUctovnaZavierkaRM">
Účtovná závierka: <xsl:if test="valUctovnaZavierkaRmRiadna = '1'">riadna </xsl:if><xsl:if test="valUctovnaZavierkaRmMimoriadna = '1'">mimoriadna</xsl:if>
</xsl:for-each>
<xsl:for-each select="secUctovnaZavierka/secUctovnaZavierkaZS">
                  <xsl:if test="valUctovnaZavierkaZsZostavena = '1'">zostavená </xsl:if><xsl:if test="valUctovnaZavierkaZsSchvalena = '1'">schválená</xsl:if>
</xsl:for-each>
<xsl:for-each select="secUctovnaZavierka/secUctovnaZavierkaZ">
                  <xsl:if test="valUctovnaZavierkaZZostavena = '1'">zostavená</xsl:if>
</xsl:for-each>
Zostavená dňa: <xsl:value-of select="concat(substring(secZostaveneDna/valZostaveneDna,9,2),'.',substring(secZostaveneDna/valZostaveneDna,6,2),'.',substring(secZostaveneDna/valZostaveneDna,1,4))"/>
<xsl:if test="secSchvalenaDna/valSchvaleneDna">
Schválená dňa: <xsl:value-of select="concat(substring(secSchvalenaDna/valSchvaleneDna,9,2),'.',substring(secSchvalenaDna/valSchvaleneDna,6,2),'.',substring(secSchvalenaDna/valSchvaleneDna,1,4))"/>
</xsl:if>
<xsl:if test="secDatumVznikuUJ/valDatumVznikuUJ">
Dátum vzniku účtovnej jednotky: <xsl:value-of select="concat(substring(secDatumVznikuUJ/valDatumVznikuUJ,9,2),'.',substring(secDatumVznikuUJ/valDatumVznikuUJ,6,2),'.',substring(secDatumVznikuUJ/valDatumVznikuUJ,1,4))"/>
</xsl:if>
Jazyková verzia: <xsl:choose>
  <xsl:when test="secJazykPodania/valJazykovaVerziaPodania = '0'">slovenčina</xsl:when>
  <xsl:when test="secJazykPodania/valJazykovaVerziaPodania = '1'">iná</xsl:when>
  <xsl:otherwise><xsl:value-of select="secJazykPodania/valJazykovaVerziaPodania"/></xsl:otherwise>
</xsl:choose>
</xsl:for-each>

<!-- prilohy podania -->
Prílohy podania
<xsl:for-each select="/dokument/secPrilohy/secPrilohaUJ">
Typ prílohy: <xsl:choose>
  <xsl:when test="valTypPrilohyUJ = 'UJ_UZ'" >Účtovná závierka</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_UZ_KO'" >Účtovná závierka - konsolidovaná</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_SPA'" >Správa audítora</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_VSP'" >Výročná správa</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_FSE'" >Ročná finančná správa emitenta</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_UZ'" >IFRS účtovná závierka</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_POD'" >VÚ POD 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_POD_KO'" >VÚ POD kons. 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_POI'" >VÚ - P 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_POI_KO'" >VÚ - P kons. 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_EXI'" >VÚ - EB 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_BAN'" >VÚ - B 1-01</xsl:when>
  <xsl:when test="valTypPrilohyUJ = 'UJ_IFRS_BAN_KO'" >VÚ - B kons. 1-01</xsl:when>
  <xsl:otherwise><xsl:value-of select="valTypPrilohyUJ"/></xsl:otherwise>
</xsl:choose>
Spôsob doručenia: <xsl:choose>
  <xsl:when test="valSdUJ = 'SD_ESP'" >Elektronicky – súčasť podania</xsl:when>
  <xsl:otherwise><xsl:value-of select="valSdUJ"/></xsl:otherwise>
  </xsl:choose>
<xsl:if test="valPopisPrilohyUJ">Popis prílohy: <xsl:value-of select="valPopisPrilohyUJ"/></xsl:if>
</xsl:for-each>

Dátum podania: <xsl:for-each select="/dokument/secDatumPodania">
<xsl:value-of select="concat(substring(valDatumPodania,9,2),'.',substring(valDatumPodania,6,2),'.',substring(valDatumPodania,1,4))"/>
</xsl:for-each>

</xsl:template>
</xsl:stylesheet>
